Webbhotell: Hjälp era kunder uppgradera PHP via WordPress

WordPress har sedan en tid tillbaka ett projekt som heter Servehappy, vars syfte är att utbilda användare om nyttan med en så modern PHP-version som möjligt. En nyare version av PHP ger bättre prestanda, säkerhet och många andra fördelar (för både användare och leverantörer).

Med WordPress 5.1, som släpps den 21:a februari, får alla användare med en äldre PHP-version en varning i WordPress adminpanel. Det är en väldigt tydlig säkerhetsvarning, för alla med PHP 5 och äldre. Här är ett exempel (detta kommer även översättas till svenska):

Varningen innehåller även en länk till en sida med mer information om vikten av att uppgradera PHP.

Denna länk går dock att anpassa för enskilda webbhotell. Som webbhotell kan man definiera en egen informationssida om PHP, som en miljövariabel på servernivå. På så sätt kan man nå ut med t ex uppgraderingsinstruktioner för egna användare.

Om ni har kunder med äldre PHP-version så är detta ett gyllene tillfälle att hjälpa dem via WordPress!

Det ”enda” man som leverantör behöver göra är att definiera servervariabeln WP_UPDATE_PHP_URL. Om man kör Apache så kan man t ex göra det via mod_env-modulen i en vhost för berörda kunder.

Här framöver kommer gränsen för vilken PHP-version som får denna varning att stiga, men det börjar med PHP 5-serien för att minimera mängden support. WordPress Servehappy-projekt arbetar även vidare för att höja nivån för de PHP-versioner som stöds av WordPress med teman och tillägg.

Så håll er fortsatt uppdaterade! Läs gärna mer hos WordPress: PHP Site Health Mechanisms in 5.1

Lämna en kommentar

Denna webbplats använder Akismet för att minska skräppost. Lär dig hur din kommentardata bearbetas.